Pterodactyldocs
Client general

List servers

Lists all servers

Include parameters

ParameterDescription
eggInformation about the egg the server uses
subusersList of subusers on the server
GET/api/client

Authorization

ClientToken
AuthorizationBearer <token>

Client API key (generated at /account/api)

In: header

Response Body

application/json

curl -X GET "https://example.com/api/client"
{  "object": "list",  "data": [    {      "object": "server",      "attributes": {        "server_owner": true,        "identifier": "1a7ce997",        "uuid": "1a7ce997-259b-452e-8b4e-cecc464142ca",        "name": "Gaming",        "node": "Test",        "sftp_details": {          "ip": "pterodactyl.file.properties",          "port": 2022        },        "description": "Matt from Wii Sports",        "limits": {          "memory": 512,          "swap": 0,          "disk": 200,          "io": 500,          "cpu": 0        },        "feature_limits": {          "databases": 5,          "allocations": 5,          "backups": 2        },        "is_suspended": false,        "is_installing": false,        "relationships": {          "allocations": {            "object": "list",            "data": [              {                "object": "allocation",                "attributes": {                  "id": 1,                  "ip": "45.86.168.218",                  "ip_alias": null,                  "port": 25565,                  "notes": null,                  "is_default": true                }              },              {                "object": "allocation",                "attributes": {                  "id": 2,                  "ip": "45.86.168.218",                  "ip_alias": null,                  "port": 25566,                  "notes": "Votifier",                  "is_default": false                }              }            ]          }        }      }    }  ],  "meta": {    "pagination": {      "total": 1,      "count": 1,      "per_page": 50,      "current_page": 1,      "total_pages": 1,      "links": {}    }  }}